[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#32140: Apt Segmentation fault

On Tue, 19 Jan 1999, Nick Holgate wrote:

> Package: apt
> Version:
> Apt aborts with "Segmentation fault".
> e.g. 
> $ apt-get update
> Get http://xxx.yyy.zzz slink/main Packages
> Fetched 1479k in 0s (2488k/s)
> Updating package file cache...done
> Updating package status cache...done
> Checkin system integrity...ok
> Segmentation fault
> Apt seems to function correctly apart from this, but dselect aborts with an
> error if using its apt method. This fault is consistantly seen on all 4 of
> my installations. I have a feeling that it started occuring when updating
> another package, perhaps libc6 or bash, but I can't be sure. 

Hmm, this reminds me of that horrifying win95 telnet/emacs bug that I
never could find. - this being on m68k also greatly limits my chances of
finding it :<

I strongly suspect it is fixed in 0.3.0 but till then I really don't

Can you run apt-get update under strace and send me (and only me :>) the
strace output for the last 100 lines or so?


Reply to: